Bug 97424 - (USB)EHCI-HCD USB stopped working after upgrade to kernel 2.4.20-18.7
(USB)EHCI-HCD USB stopped working after upgrade to kernel 2.4.20-18.7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-15 08:01 EDT by Johan Vromans
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 18:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2003-06-15 08:01:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030507

Description of problem:
After upgrading to kernel 2.4.20-18.7, the USB 2.0 card (USB Controller: NEC
Corporation USB 2.0 (rev 2)) stopped working. It still works fine with a stock
2.4.20 kernel. The system is running Red Hat Linux 7.2, with all updates (up to
June 12) installed.

Connected to the USB 2.0 port is an Archos Jukebox Recorder 20, a 20Gb storage
device. With the new kernel, the driver issues some error messages (see
Additional Information) and using the device causes the applications to hang
(status = D) or to hang the whole system (reset required, no additional
information in syslog).


Version-Release number of selected component (if applicable):
2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
1.Connect the USB device
2.Load the USB drivers
3.Copy data to the device
    

Actual Results:  Application (cp) hangst with status D.

Additional info:

Kernel messages from the 2.4.20-18.7 kernel:
kernel: ehci-hcd 00:0f.2: NEC Corporation USB 2.0
kernel: ehci-hcd 00:0f.2: irq 11, pci mem e239f000
kernel: usb.c: new USB bus registered, assigned bus number 4
kernel: PCI: 00:0f.2 PCI cache line size set incorrectly (32 bytes) by BIOS/FW.
kernel: PCI: 00:0f.2 PCI cache line size corrected to 64.
kernel: ehci-hcd 00:0f.2: USB 2.0 enabled, EHCI 0.95, driver 2003-Jan-22
kernel: hub.c: USB hub found
kernel: hub.c: 5 ports detected
kernel: hub.c: new USB device 00:11.2-2, assigned address 2
kernel: Initializing USB Mass Storage driver...
kernel: usb.c: registered new driver usb-storage
kernel: USB Mass Storage support registered.
kernel: hub.c: USB hub found
kernel: hub.c: 4 ports detected
kernel: hub.c: new USB device 00:0f.2-4, assigned address 2
kernel: usb_control/bulk_msg: timeout
kernel: usb.c: failed to set device 2 default configuration (error=-110)
kernel: hub.c: new USB device 00:0f.2-4, assigned address 3
kernel: usb_control/bulk_msg: timeout
kernel: usb_control/bulk_msg: timeout
kernel: scsi1 : SCSI emulation for USB Mass Storage devices
kernel:   Vendor: HITACHI_  Model: DK23DA-20         Rev: 00J2
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
kernel: Attached scsi disk sdd at scsi1, channel 0, id 0, lun 0
kernel: SCSI device sdd: 39070080 512-byte hdwr sectors (20004 MB)
kernel:  sdd: sdd1
kernel: WARNING: USB Mass Storage data integrity not assured
kernel: USB Mass Storage device found at 3
kernel: usb_control/bulk_msg: timeout
kernel: usbdevfs: USBDEVFS_CONTROL failed dev 3 rqt 128 rq 6 len 39 ret -110


Kernel messages from the stock 2.4.20 kernel:
kernel: hcd.c: ehci-hcd @ 00:0f.2, NEC Corporation USB 2.0
kernel: hcd.c: irq 11, pci mem e23fc000
kernel: usb.c: new USB bus registered, assigned bus number 4
kernel: ehci-hcd.c: USB 2.0 support enabled, EHCI rev 0.95
kernel: hub.c: USB hub found
kernel: hub.c: 5 ports detected
kernel: hub.c: new USB device 00:11.2-2, assigned address 2
kernel: Initializing USB Mass Storage driver...
kernel: usb.c: registered new driver usb-storage
kernel: USB Mass Storage support registered.
kernel: hub.c: USB hub found
kernel: hub.c: 4 ports detected
kernel: hub.c: new USB device 00:0f.2-4, assigned address 2
kernel: scsi1 : SCSI emulation for USB Mass Storage devices
kernel:   Vendor: HITACHI_  Model: DK23DA-20         Rev: 00J2
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
kernel: Attached scsi disk sdd at scsi1, channel 0, id 0, lun 0
kernel: SCSI device sdd: 39070080 512-byte hdwr sectors (20004 MB)
kernel:  sdd: sdd1
kernel: WARNING: USB Mass Storage data integrity not assured
kernel: USB Mass Storage device found at 2
Comment 1 Johan Vromans 2003-07-23 08:43:16 EDT
Still broken in 2.4.20-19.7.
Comment 2 Johan Vromans 2003-08-21 13:50:19 EDT
Still broken in 2.4.20-20.7.
Comment 3 Pete Zaitcev 2004-08-19 19:26:23 EDT
Did FC1 fix it?
Did FC2?
Comment 4 Johan Vromans 2004-08-23 14:33:28 EDT
I skipped 7.3, 8.0, 9 and EL. I'm running FC2 now, and the USB card
works properly.

Feel free to mark this one solved.

Note You need to log in before you can comment on or make changes to this bug.